freebsd-ports/www/webobjects/files/patch-ab
Edwin Groothuis c985b7a8d6 [NEW PORTS] www/webobjects(+) Apple WebObjects ports bundle
This is a bundle of several ports covering many typical requirements
for building an Apple WebObjects deployment environment. Each port
is or has a dependancy with some other port in the bundle, and have
therefore been lodged collectively.

	www/webobjects

	WebObjects runtime is the deployment environment for Apple WebObjects
	Applications.

	WebObjects is a suite of tools and object-oriented frameworks that enable
	you to create and deploy web applications and web services using Java.

	WWW: http://www.apple.com/webobjects

PR:		ports/117299
Submitted by:	Quinton Dolan <q@onthenet.com.au>
2008-06-13 06:12:59 +00:00

18 lines
756 B
Text

--- System/Library/WebObjects/JavaApplications/wotaskd.woa/Contents/Resources/javawoservice.sh.orig Sat Oct 1 04:00:34 2005
+++ System/Library/WebObjects/JavaApplications/wotaskd.woa/Contents/Resources/javawoservice.sh Mon Apr 16 14:26:41 2007
@@ -255,7 +255,14 @@
echo "javawoservice.sh: \`$APP_NAME' is starting up ..."
# so run the app already, sheesh
- $APP_PATH 2>&1 >/dev/null $APP_ARGS
+ PORT=`echo ${APP_ARGS} | sed -e 's|^.*-WOPort \([0-9]*\).*|\1|'`
+ touch /var/log/webobjects/${APP_NAME}-${PORT}.log 2>&1
+ if [ $? = 0 ]; then
+ $APP_PATH $APP_ARGS >>/var/log/webobjects/${APP_NAME}-${PORT}.log 2>&1
+ else
+ $APP_PATH $APP_ARGS 2>&1 >/dev/null
+ fi
+
EXIT_CODE="$?"
echo "javawoservice.sh: \`$APP_NAME' exited."